Subject: [PATCH 0/1] qt-build-system: Wrap with build variables to allow %outputs in arguments

From: Rutherther <[email-masked]>
Date: Wed, 4 Dec 2024 20:12:17 +0100

It is impossible to refer to %outputs in arguments like #:configure-flags
(ie. `(assoc-ref %outputs "out")` leads to unbound-variable %outputs).
I think the issue is in qt using different system than build systems such
as cmake or gnu. Since I am unsure about the reason for qt not having
the same structure, I am submitting this to guix devel for discussion,
as well as opening a patch in case this is fine to be merged. If not,
could someone please explain what the reason behind not adding
inputs and outputs is, and what is the alternative?

Regards,
Rutherther

Rutherther (1):
  guix: qt: add inputs and outputs build variables in qt-build

 guix/build-system/qt.scm | 54 +++++++++++++++++++++-------------------
 1 file changed, 28 insertions(+), 26 deletions(-)

base-commit: 006679d1e6ca7acea0629b4f019c8cf89cde08be
--
2.46.0